Bug 1204 - Would be great to have exceptions during execution mark responsible source lines.
Would be great to have exceptions during execution mark responsible source li...
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P4 (vote)
: TBD
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-17 01:27 UTC by Jesse Glick
Modified: 2008-12-23 10:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 1999-02-17 01:27:42 UTC
Situation: you are writing code, it compiles OK, you execute it, but there are exceptions being thrown in the output window--e.g. "use getContentPane().add() vs. add()". The IDE could scan all messa
ges being  displayed in the output window, looking for any that look like an exception with stack trace. For any such exceptions, it is possible to mechanically scan through the trace and find which c
lass was affected at each level in the backtrace, and if source if available, which line in the source file. For any such lines which are user-written classes--with source code present in the reposito
ry--the corresponding source file should be displayed in the Editor if it is not already; any line present in the backtrace marked with a special color (analogous to compiler error line markings, see
NbDocument.Colors); that line in the output window specially highlighted somehow; and double-clicking on such lines in the output window take you to the corresponding source lines, as with compiler er
rors.

This would greatly speed up the process of trying to figure out what you did that caused the exception, even if it was not your code that actually threw it.

Note that it is possible for the line numbers to be out-of-date w.r.t. to the class files, as the user may have edited the source before executing the class; ideally Positions in the editor would be e
mployed to smooth over this problem, although that would be more work, and would only work for the case of the user having compiled a source file and modified it before execution while leaving that ed
itor buffer open.
Comment 1 Marian Mirilovic 2002-05-27 16:55:14 UTC
verified, closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo